Subject: Re: git-status and git-diff now very slow in project with a submodule

From: Andreas Schwab <[email-masked]>
Date: Fri, 21 May 2010 19:54:25 +0200

Leo Razoumov <[email-masked]> writes:

> Speaking of .gitignore and untracked files. Explicitly mentioning all
> such untracked files in .gitignore is often unpractical. For example,
> during build process some large projects autogenerate many temporary
> *.c  *.h *.cpp files. Hunting all of them down and adding to
> .gitignore is a waste of time and one cannot use globs *.c *.h for
> obvious reasons.

You can actually, since tracked files are never ignored.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."